using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication1.Models {
	public class Message {
		public string Emetteur { get; }
		public string Texte { get; }
		public DateTime	Emission { get; }
		public Message( string emetteur, string texte ) {
			Emetteur = emetteur;
			Texte = texte;
			Emission = DateTime.Now;
		}
	}

	public static class Messagerie {
		public static string UtilisateurCourant {
			get {
				return (string)HttpContext.Current.Session["UtilisateurCourant"];
			}
			set {
				HttpContext.Current.Session["UtilisateurCourant"] = value;
			}
		}
		public static Dictionary<string, List<Message>> Messageries = new Dictionary<string, List<Message>>();
	}
}